Subject: Re: [PATCH 00/26] git-log: implement new --diff-merge options

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Dec 2020 13:15:19 -0800

Sergey Organov <[email-masked]> writes:

> Well, I did a crush-test: commented-out entire if() at the beginning of
> the log_tree_diff() and ran all the tests.

Meaning "if we are not told to show diff and if we are not told to
indicate with the exit code whether there was any difference, we do
not have to do any of the following" was skipped?  

For most cases we do use the absense of "diff" as an optimization,
but I wouldn't be surprised if a caller of log_tree_commit() that
does not set "we want diff" bit leaves the other members of rev_info
that need to be set correctly for the body of the function, which is
essentially a repeated call into diff_tree machinerly, in order to
work correctly.